Skip to main content
POST
Create a named snapshot

Authorizations

Authorization
string
header
required

Personal byk_ API key; user-principal, resolved to a tenant by org context.

Headers

Idempotency-Key
string

Absent means server-generated, which provides no deduplication; only client-supplied keys dedupe.

Maximum string length: 255
X-Bonya-Organization-ID
string

Org context. Omitted means the caller's personal organization. A well-formed non-member org is 404; malformed is 400.

Path Parameters

sandbox_id
string
required

Body

application/json
name
string
required

Response

Published

id
string
required

Snapshot id, for example snp-s63fo7ewzqc2al.

organization_id
string
required
sandbox_id
string
required
kind
enum<string>
required
Available options:
named
name
string
required
state
string
required

For example published or deleted.

template_version
string
required
created_at
string<date-time>
required
manifest_digest
string
file_bytes
integer
stored_bytes
integer
failure_reason
string
published_at
string<date-time>
deleted_at
string<date-time>
image
object